Bug 149936 - CAN-2005-0590 Install source spoofing with user:pass@host
CAN-2005-0590 Install source spoofing with user:pass@host
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
impact=low,public=20050224
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 16:09 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 14:02:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-28 16:09:50 EST
The installation confirmation dialog shows the source of the software. By adding
a long, fake "user:pass" in front of the true hostname the user might be
convinced to trust software that comes from an untrustworthy source. This is
similar to attempts used in some phishing mail:
"http://www.mozilla.org@attacker.com/install.xpi".

By default Firefox only allows install attempts from http://update.mozilla.org,
a user would need to explicitly allow the spoofing host to initiate installs
before it could try this trick. 

http://www.mozilla.org/security/announce/mfsa2005-17.html
Comment 1 Josh Bressers 2005-03-01 14:02:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-176.html

Note You need to log in before you can comment on or make changes to this bug.